Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Software-update: phpBB 3.1.10

phpBB logo (27 pix)Versie 3.1.10 van phpBB is uitgebracht. Met dit programma is het mogelijk om een webforum te maken. PhpBB wordt onder de gpl-licentie beschikbaar gesteld en maakt gebruik van php en een databaseprogramma om berichten op te slaan. Naast MySQL worden ook PostgreSQL, Oracle Database, Microsoft SQL Server en SQLite als databasesoftware ondersteund. Versie 3.1 bevat een groot aantal veranderingen voor zowel gebruikers en admins als ontwikkelaars. De belangrijkste veranderingen die in deze update zijn aangebracht zijn hieronder op een rijtje gezet:

New Features
  • Check phpBB version constant against config version - Display a warning in the ACP if the version constant (files) does not match the phpbb_config version
  • Support extensions in UI tests - UI tests now also support installing extensions and testing their behavior
Notable Changes
  • Improved migrator - The migrator will now properly prevent timeouts and infinite loops. It will no longer unexpectedly try to revert update_data() implementations using "if"
  • Dropped support for MySQL versions improperly implementing FULLTEXT support - Some MySQL versions used improper implementations of FULLTEXT support. Versions with correct support are now required.
  • Users removed from newly registered group when limit set to 0 posts - Users will now be able to exit the newly registered users group when the limit is set to according to the setting's definition in the ACP.
  • Further hardened checking links and form submissions - Added link hashes and form keys to all forms in the ACP that were still relying on global ACP form protections.
Notable Bug Fixes
  • Prevent MySQL error when looking at your posts - Wrong column was selected in certain cases.
  • Q&A CAPTCHA no longer logs error when solved - A change in 3.1.9 caused the CAPTCHA to log an error even though it was solved.
  • Min/max form values no longer preventing update of avatar settings - The newly introduced form validation on the html side will no longer report invalid min/max settings when updating avatar settings.
  • Fixed fatal error when upgrading from 3.0.x - Fixed error when upgrading from version with softdelete MOD installed.
  • Limit prunes per cron for large forums - Prunes on large forums were not limited. This could cause the prune query to fail at an unspecified point in time and leave topics unpruned.
  • Rollback transactions in notifications manager - Fixed issues with not rolled back transactions when using non-existent notification types
phpBB 3.1 screenshot (620 pix)
Versienummer 3.1.10
Releasestatus Final
Besturingssystemen Scripttaal
Website phpBB
Download https://www.phpbb.com/downloads
Bestandsgroottes 2,05MB - 3,83MB
Licentietype GPL

Door Bart van Klaveren

Downloads en Best Buy Guide

14-10-2016 • 17:49

30 Linkedin Google+

Submitter: paul999

Bron: phpBB

Update-historie

Meer historie

Reacties (30)

Wijzig sortering
Nog steeds geen PHP7 support, hij werkt wel op PHP7, alleen updaten kan niet 8)7 (gelukkig blokkeren ze de update nu actief i.p.v. gewoon halverwege te falen).

[Reactie gewijzigd door Gieltje op 14 oktober 2016 18:00]

3.2.0 zal ondersteuning voor PHP7 hebben, maar er zijn wat problemen waardoor deze nog niet gereleased is.
Helaas werken onder andere de BBCode parser niet met PHP7, en dit is niet eenvoudig op te lossen.
De reden waarom google jaren lang in beta is gebleven, is omdat ze dan niet verantwoordelijk zijn voor data of verlies van data als ze alsnog besluiten te stoppen of een server failure hadden.
i know, het gaat er meer om dat het woord "Beta" niet direct betekent "gebruik dit niet want het hangt van ellende in elkaar" maar schijnbaar snapt niet iedereen de ;) achter het eerste zinnetje.

Op dit item kan niet meer gereageerd worden.


Call of Duty: Black Ops 4 HTC U12+ dual sim LG W7 Google Pixel 3 XL OnePlus 6 Battlefield V Samsung Galaxy S9 Dual Sim Google Pixel 3

Tweakers vormt samen met Tweakers Elect, Hardware.Info, Autotrack, Nationale Vacaturebank en Intermediair de Persgroep Online Services B.V.
Alle rechten voorbehouden © 1998 - 2018 Hosting door True